Форум сообщества Runtu.org
Ноябрь 23, 2017, 12:20:29 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости: Доступна для ознакомления pre_alpha версия Runtu LITE 18.04 - 20171107

Подробнее
   Начало   Помощь Поиск Войти Регистрация  
Страниц: « 1 2 3 4 »  Все   Вниз
  Печать  
Автор Тема: Runtu LITE 14.04 - 20131202  (Прочитано 30489 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #30 : Январь 14, 2014, 10:48:10 »

Изучил текстовый редактор Mousepad.
Mousepad - форк Leafpad.
В новой версии убрали изменение кодировки документа, а это бывает нужно.
Выбор кодировок при открытии сделали в ручном режиме.
Добавили подсветку синтаксиса, проверил: bash не подсвечивает, perl подсвечивает.
Добавили панель поиска, это очень удобно.
Есть список недавно просмотренных документов, иногда нужна.

Еще есть вариант Geany, но ему нужно дефолтные настройки поменять, чтобы при первом запуске не приходилось лезть в настройки.

Заключение: системный текстовый редактор должен просто открывать конфиги и прочие текстовые файлы, в Mousepad плохо организована работа с кодировками. Поэтому желательно заменить его на Leafpad или Geany.

Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #31 : Январь 14, 2014, 12:25:45 »

Catfish предлагаю заменить на Recoll, но я еще зависимости ее не оценил, много или мало тянет за собой.

А в сборке с XFCE хорошо бы вообще включить Java + DocFetcher.

Подробности о них смотрите в этой теме: http://forum.runtu.org/index.php/topic,1298.0.html
Записан
HsH
Administrator
*****
Offline Offline

Сообщений: 2476



« Ответ #32 : Январь 14, 2014, 12:36:12 »

не подключает к вай-фай сети, хотя показывает все доступные сети. Нажимаешь на нужную и... ничего не происходит.

Может и сбой, хотя хэш проверяю перед записью на флэшку.
   Попробуйте в окне редактирования соединений (ПКМ на апплете, "Редактировать соединения") открыть добавленное или создать новое и вписать параметры подключения, при этом на вкладке "Параметры IPv4" поставить галку "Требовать адресацию IPv4 для этого соединения".

Добавили подсветку синтаксиса, проверил: bash не подсвечивает, perl подсвечивает.
   Это бывает, если у файла нет расширения (*.sh и т.п.) - тип синтаксиса можно указать в меню "Документ" -> "Тип файла", конкретно для bash - "scripts" -> "sh".

Заключение: системный текстовый редактор должен просто открывать конфиги и прочие текстовые файлы, в Mousepad плохо организована работа с кодировками. Поэтому желательно заменить его на Leafpad или Geany.
   Мне не встречалось системных конфигов Ubuntu/Debian по умолчанию в кодировках, отличных от UTF-8. В качестве текстового редактора мне Mousepad кажется гораздо более удобным, чем Leafpad - как раз таки в сложных конфигах и сценариях на скриптовых языках подсветка синтаксиса имеет существенное значение.

    После очередной порции обновлений вынужден констатировать, что существенно выросло общее потребление памяти - примерно на 30Мб, как в Live-сессии, так и на установленной системе. Вариантов скорее всего два - смена ядра с 3.12 на 3.13 или системные gtk/Xorg компоненты.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #33 : Январь 14, 2014, 12:55:03 »

В системе есть скрипты без расширения в названии файла, получается в половине конфигов придется программе вручную указывать язык на котором написан скрипт, это не удобно.

Текстовый редактор нужен как для работы с конфигами, так и с другими текстовыми файлами. Например знакомый пришлет тебе текстовый файл с виндовс, и придется каждый раз корячиться выбирать вручную кодировку.

Geany содержит все необходимое, определяет кодировку автоматом, синтаксис подсвечивает не смотря на наличие расширения в названии файла (определяет по началу документа).
Записан
kompilainenn
Местный
*****
Offline Offline

Сообщений: 975


Активно пропагандирую Runtu


« Ответ #34 : Январь 14, 2014, 13:14:46 »

если сборка позиционируется просто как максимально легкая, то возросшее потребление ОЗУ на 30мб не такая уж большая проблема, если все же сборка позиционируется "для устаревшего оборудования", то наверное 30мб - это плохо да
Записан

Мы говорим Linux, подразумеваем Ubuntu
ek-nfn
Местный
*****
Offline Offline

Сообщений: 1038


« Ответ #35 : Январь 14, 2014, 13:31:07 »

не подключает к вай-фай сети, хотя показывает все доступные сети. Нажимаешь на нужную и... ничего не происходит.
  Попробуйте в окне редактирования соединений (ПКМ на апплете, "Редактировать соединения") открыть добавленное или создать новое и вписать параметры подключения, при этом на вкладке "Параметры IPv4" поставить галку "Требовать адресацию IPv4 для этого соединения".

Через "окно сетевых соединений" соединяло без проблем. Не соединяло именно через аплет.  Возможно, что был какой-то сбой при загрузке. Второй раз я уже не пробовал,  так как переходить пока не собирался, а интерес был только в оценке занимаемых ресурсов. Неплохо в этом плане, разницы с lite 12.04 не увидел
« Последнее редактирование: Январь 14, 2014, 13:34:26 от ek-nfn » Записан
HsH
Administrator
*****
Offline Offline

Сообщений: 2476



« Ответ #36 : Январь 14, 2014, 13:54:03 »

если все же сборка позиционируется "для устаревшего оборудования", то наверное 30мб - это плохо да

     Я никогда не позиционировал дистрибутивы Runtu как сборки для устаревшего оборудования, но при разработке стараюсь сделать всё возможное, чтобы система потребляла минимум ресурсов. То, что их можно ставить на "устаревшее оборудование" - скорее следствие, нежели причина легковесности.

    К сожалению, современные тенденции разработки ПО - как системного, так и прикладного - приводят  к росту потребностей в производительности ПК без существенного улучшения "юзабилити". Это сугубо моё личное мнение, возможно кто-то с ним не согласится.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #37 : Январь 14, 2014, 14:07:15 »

если сборка позиционируется просто как максимально легкая, то возросшее потребление ОЗУ на 30мб не такая уж большая проблема, если все же сборка позиционируется "для устаревшего оборудования", то наверное 30мб - это плохо да

Мое представление такое:

Runtu LITE - система с небольшим ресурсопотреблением не в ущерб комфортности (средней легкости и комфортная).

Максимально легкая была бы менее удобной (например openbox без панели + Rox-Filer + настройка сети через терминал и редактирование конфигов), для устаревшего оборудования больше подходят устаревшие версии ПО (но в плане просмотра веб контента могут возникнуть проблемы).
« Последнее редактирование: Январь 14, 2014, 14:11:51 от Пользователь. » Записан
ek-nfn
Местный
*****
Offline Offline

Сообщений: 1038


« Ответ #38 : Январь 14, 2014, 14:16:35 »

Мое представление такое:

Runtu LITE - система с небольшим ресурсопотреблением не в ущерб комфортности (средней легкости и комфортная).

угу.. Слишком большой разрыв в комфорте между LXDE и XFCE и Runtu Lite органично в него вписалась. Особенно в свете того, что XFCE, по мере развития, имеет тенденцию к утяжелению.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #39 : Январь 26, 2014, 22:14:13 »

Установил систему, проверил аппаратное ускорение в VLC, завелось по старинке через VA API (должно работать и без VA API, но не вышло, чего-то не хватает плееру, по описанию на официальном сайте должны быть кодеки поновее).
Через XVideo получается небольшой тиринг при просмотре h264, поэтому переключил на OpenGL.

Вобщем у меня VLC 2.1 работает как VLC 2.0 в Runtu LITE 12.04
Записан
Glad-58
Постоялец
***
Online Online

Сообщений: 154



« Ответ #40 : Январь 31, 2014, 10:22:30 »

В LinuxMint Cinnamon редактор Nemo работает отлично, без падений. Может стоит в Корице поковыряться на предмет его стабильности? Есть такой способ?
Записан

Dell Vostro 1015 - Runtu Lite 14.04
Pentium 2120@Asrock H61-DGS/4gb RAM/GTX 650/1Tb WD -Runtu 14.04 XFCE
HsH
Administrator
*****
Offline Offline

Сообщений: 2476



« Ответ #41 : Январь 31, 2014, 22:29:17 »

В LinuxMint Cinnamon редактор Nemo работает отлично, без падений.

     Вы имеете ввиду файловый менеджер Nemo? Проблема имеет место в дистрибутиве 14.04, и причина установлена - более строгая проверка условий в новых версиях GTK (применение ранее не декларированных переменных).

     FSnow предложил патч для решения проблемы, но разработчики Cinnamon на него никак не отреагировали, в отличие от предыдущего бага, который был закрыт ими весьма оперативно.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #42 : Февраль 04, 2014, 14:31:29 »

Была проблема с USB модемом, помогло обновление ядра.

Установил numlockx, для включения цифрового блока клавиатуры.

В Synaptic не видно колонки размер пакета, пришлось залезть в его настройки снять галку и снова поставить, чтобы появилась колонка.

Записан
youswer
Прохожий
*
Offline Offline

Сообщений: 2


« Ответ #43 : Февраль 04, 2014, 21:34:50 »

Как включить compiz?Непонимающий??
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3034


« Ответ #44 : Февраль 04, 2014, 22:02:46 »

В ней нет компиза, если нужен компиз, то установи Runtu Gnome 12.04
Записан
Страниц: « 1 2 3 4 »  Все   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!